<html>
	<h1>
		Upload a file
	</h1>

  <div>
		<form name="upload" action="#" method="post" enctype="multipart/form-data">
      <p><input type="text" name="filename" placeholder="File name"></p>
      <p><input type="file" name="file"></p>
      <p><input type="submit" name="Submit" value="Submit"></p>
		</form>

    {{- if .file }}
      <h3>File {{ .file }} uploaded and saved as {{ .filepath }}</h3>
    {{- end }}
	</div>
</html>
